Bug 122628 - "fixfiles relabel" disables X font server
Summary: "fixfiles relabel" disables X font server
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-06 14:29 UTC by Tom Wood
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-10 19:11:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tom Wood 2004-05-06 14:29:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040505

Description of problem:
Running "fixfiles relabel" makes xfs not respond.  Process is still
running but no longer listening.

xfs version is xorg-x11-xfs-6.7.0-0.5


Version-Release number of selected component (if applicable):
policycoreutils-1.11-1

How reproducible:
Always

Steps to Reproduce:
1. Run "fixfiles relabel" sitting at a console in runlevel 3
2. startx
3. Watch X complain about not being able to find font 'fixed'
    

Actual Results:  X fails to start

Expected Results:  X should start

Additional info:

chkconfig --list xfs shows that at runlevels 2-5 xfs is on.  service
xfs status shows that xfs is running.

Comment 1 Daniel Walsh 2004-06-10 19:11:31 UTC
You should reboot after running fixfiles relabel.  All files are
removed from tmp, and daemons are running under the wrong security
context.

The latest fixfiles will advise you to reboot.

Dan


Note You need to log in before you can comment on or make changes to this bug.